/*
 * JDialogGenerer.java
 *
 * Created on 8 mars 2006, 15:36
 *
 */

package jus.apcoo.td.io;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * Mon superbe JDialog du TP I/O ;)
 * @author Sebastien Laborie
 */
public class JDialogGenerer extends JDialog {
	// vrai si le bouton OK a t cliqu
	private boolean ok;
	// la zone contenant le nombre a choisir
	private JSpinner spinner;
	/** Creates a new instance of JDialogGenerer */
	public JDialogGenerer() {
		init();
		ok = false;
	}
	private void init() {
		this.setTitle("Nombre de points a generer");
		Container c = this.getContentPane();

		JPanel pG = new JPanel();
		pG.setLayout(new FlowLayout());
		JPanel p = new JPanel();
		p.setLayout(new BorderLayout());
		JPanel p1 = new JPanel();
		p1.setLayout(new FlowLayout());
		JPanel p2 = new JPanel();
		p2.setLayout(new FlowLayout());
		JPanel p3 = new JPanel();
		p3.setLayout(new FlowLayout());

		JLabel label = new JLabel("Indiquer le nombre de Points a generer : ");
		p1.add(label);
		p.add(p1, java.awt.BorderLayout.WEST);

		spinner = new JSpinner();
		spinner.setValue(100);
		p2.add(spinner);
		p.add(p2, java.awt.BorderLayout.EAST);

		JButton buttonOK = new JButton("OK");
		p3.add(buttonOK);
		p.add(p3, java.awt.BorderLayout.SOUTH);
		buttonOK.addActionListener(new JDialogGenerer_ButtonOK_actionAdapter(this));

		pG.add(p);
		c.add(pG);
		this.pack();
	}
	public void ButtonOK_actionPerformed(ActionEvent e) {
		if(((Integer) spinner.getValue()).intValue() > 0) ok = true;
		this.setVisible(false);
	}
	/**
	 * Renvoie vrai si le bouton OK a t cliqu
	 * @return boolean vrai si le bouton OK a t cliqu
	 */
	public boolean getOK() {
		return ok;
	}
	/**
	 * Renvoie la valeur choisie
	 * @return int la valeur choisie
	 */
	public int getValeur() {
		return ((Integer) spinner.getValue()).intValue();
	}
}
class JDialogGenerer_ButtonOK_actionAdapter implements java.awt.event.ActionListener {
	JDialogGenerer adaptee;
	JDialogGenerer_ButtonOK_actionAdapter(JDialogGenerer adaptee) {
		this.adaptee = adaptee;
	}
	public void actionPerformed(ActionEvent e) {
		adaptee.ButtonOK_actionPerformed(e);
	}
}
